OpenSSL 1.1.1a for WINCE700

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

OpenSSL 1.1.1a for WINCE700

Torrelli, Maxime

Hello,

 

I am trying to compile OpenSSL 1.1.1a for WinCE700 whereas until now, I am failing.

 

When I look into the different files used by PERL to create the makefile, it seems WINCE is still supported. Am I right on this point ?

 

If yes, when I look into the generated makefile, I see in the CNF_CPPFLAGS : -D"OPENSSL_SYS_WIN32". I was expecting to find OPENSSL_SYS_WINCE instead.

 

Finally, my compilation fails because STD_INPUT_HANDLE is not defined at line 2696 of apps\apps.c. I do not understand why I have this error since this line is after a #if defined(OPENSSL_SYS_WINDOWS). I do not see where OPENSSL_SYS_WINDOWS could be defined.

 

My configuration :

OSVERSION=WCE700

TARGETCPU=ARMV4I

PLATFORM=VC-CE

WCECOMPAT=C:\GIT\repos\wcecompat\wcecompat

 

Any help would be much appreciated !

 

 

Greetings,

 

Maxime TORRELLI

Embedded Software Engineer

 

Conduent

Conduent Business Solutions (France)

1 rue Claude Chappe – BP 345
07503 Guilherand Granges Cedex